Project

General

Profile

Actions

Feature #14166

closed

Allow openssl-3 package as dependency

Added by Andy Fiddaman 3 months ago. Updated 3 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
packaging
Start date:
Due date:
% Done:

100%

Estimated time:
Difficulty:
Bite-size
Tags:
Gerrit CR:

Description

The OpenSSL 3 package in OmniOS ended up being openssl-3 due to the change in how the OpenSSL project are numbering their releases now.
A gate build fails pkglint with:

==== Linting packages ====

WARNING pkglint.action005.1       obsolete dependency check skipped: unable to find dependency pkg:/library/security/openssl-3 for pkg:/service/network/smtp/sendmail@8.14.4,5.11-151041.0
WARNING pkglint.action005.1       obsolete dependency check skipped: unable to find dependency pkg:/library/security/openssl-3@3.0.0-151041.0 for pkg:/service/network/wpa@0.5.11,5.11-151041.0

Related issues

Related to illumos gate - Feature #13985: Support building with OpenSSL 3.0ClosedAndy Fiddaman

Actions
Actions #1

Updated by Andy Fiddaman 3 months ago

Actions #2

Updated by Andy Fiddaman 3 months ago

  • Subject changed from Allow OmniOS openssl-3 package as dependency to Allow openssl-3 package as dependency
Actions #3

Updated by Electric Monk 3 months ago

  • Gerrit CR set to 1757
Actions #4

Updated by Andy Fiddaman 3 months ago

With the change from the associated gerrit review, mail_msg is now clean on OmniOS r151041 with openssl-3.

Actions #5

Updated by Electric Monk 3 months ago

  • Status changed from In Progress to Closed
  • % Done changed from 0 to 100

git commit 907871a5ae311c723efe7b9326f22ac3303eb0ed

commit  907871a5ae311c723efe7b9326f22ac3303eb0ed
Author: Andy Fiddaman <omnios@citrus-it.co.uk>
Date:   2021-10-15T21:42:48.000Z

    14166 Allow openssl-3 package as dependency
    Reviewed by: Jason King <jason.brian.king@gmail.com>
    Reviewed by: Ryan Zezeski <ryan@zinascii.com>
    Approved by: Dan McDonald <danmcd@joyent.com>

Actions

Also available in: Atom PDF